// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprache                : Borland C++ V 4.5/KE-Visual V1.14              	*
// * programmiert von       : Peter Thaus                        					*
// * Projekt begonnen am    : 25.04.1994                                      *
// * Sourcetext begonnen am : 29.11.1995                                      *
// * letzte nderung am     : 10.10.1997                                      *
// ****************************************************************************
// *                          Datei : SYS_TBUF.H                             	*
// ****************************************************************************
// * Bemerkung : applikationsunabhngige Textpuffer                          	*
// ****************************************************************************

#ifndef __SYS_TBUF_H
#define __SYS_TBUF_H
#define __KEB_SYS_TBUF_H

// Anzahl reservierter Textpuffer fr KE-Visual
#define  KEV_SYSTEM_TEXTBUFFERS					20

#pragma 	start 0

// KE-Visual-Versionsnummer
#define	TEXTBUFF_KEVISUAL_VERSION				0

// Programmname und Versionsnummer
#define	TEXTBUFF_PROGRAM_NAME_VERSION			1

// Pfad zu EXE und INI
#define	TEXTBUFF_PROGRAM_PATH			  		2

// Pfad zu den Datenbanken
#define	TEXTBUFF_DATABASE_PATH			  		3

// Dateiname fr Protokolldatei (Compilerlauf)
#define	TEXTBUFF_LOGFILE_FILE_NAME				4

// Dateiname fr Ausdruck in Datei
#define	TEXTBUFF_PRINT_TO_FILE_FILE_NAME		5

// Pfad zu den INI-Dateien (Read-only!)
#define	TEXTBUFF_INI_PATH							6

// Pfad und Dateiname der Main.ini des Programms
#define	TEXTBUFF_MAIN_INI_NAME			  		7

// Pfad und Dateiname zur Browser.ini des Programms
#define	TEXTBUFF_BROWSER_INI_NAME				8

// Pfad zu den Plots
#define	TEXTBUFF_PLOT_PATH			  			9

// Pfad zu den dynamischen Stringtabellen
#define	TEXTBUFF_DYNAMIC_STRINGTABLES_PATH	10

// Empfangspuffer fr NETBIOS-Text-Message
#define	TEXTBUFF_NETBIOS_MESSAGE				11

// Defaultname der Hilfedatei
#define	TEXTBUFF_DEFAULT_HELP_NAME				12

#endif __SYS_TBUF_H

//**************************************************************************
//                     	   Ende Datei : SYS_TBUF.H                        	*
//**************************************************************************

